import { Common } from 'pc-component-v3';

/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 * auth认证服务器 
 */
export default {

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 查询认证服务器数据 
	 */
  getAuthSettingDto: function(){
    var requestUrl = 'api/AuthSettingResource/getAuthSettingDto';


    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiUrl2(requestUrl),
        type: 'get',
        contentType: 'application/json',
				
				
				
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 根据accountid和id查询Secretkey 
	 */
  getSecretkey: function(accountId, id){
    var requestUrl = 'api/AuthSettingResource/getSecretkey';
    var paramCount = 0;
    if(accountId != null){
      requestUrl += (paramCount > 0) ? '&' : '?';
      requestUrl += ('accountId=' + accountId);
      paramCount ++;
    }
    if(id != null){
      requestUrl += (paramCount > 0) ? '&' : '?';
      requestUrl += ('id=' + id);
      paramCount ++;
    }


    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiUrl2(requestUrl),
        type: 'get',
        contentType: 'application/json',
				
				
				
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },
};
